Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Class ForwardRequest

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.PortableInterceptor.ForwardRequest

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class ForwardRequest
extends UserException

Exception definition : ForwardRequest

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`Object` | `forward` Exception member forward

Constructor Summary
`ForwardRequest()` Default constructor
`ForwardRequest(Object forward)` Constructor with fields initialization
`ForwardRequest(java.lang.String orb_reason, Object forward)` Full constructor with fields initialization

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### forward

    public Object forward

  Exception member forward

Constructor Detail

### ForwardRequest

    public ForwardRequest()

  Default constructor

### ForwardRequest

    public ForwardRequest(Object forward)

  Constructor with fields initialization
  Parameters:
    `forward` - forward exception member

### ForwardRequest

    public ForwardRequest(java.lang.String orb_reason,
                          Object forward)

  Full constructor with fields initialization
  Parameters:
    `forward` - forward exception member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD